## xstrp4 1.8

=== Makefile ===
# make all: 		make bytecode archive
# make install: 	install bytecode archive
# make uninstall: 	uninstall package
# make clean: 		remove intermediate files
# make distclean: 	remove any superflous files
# make release: 	cleanup, create archive, tag CVS module 
#			(for developers)


include Makefile.conf

#----------------------------------------------------------------------
# specific rules for this package:

OBJECTS  = xstrp4_here_types.cmo xstrp4_here_lexer.cmo xstrp4_here.cmo
ARCHIVE  = xstrp4.cma
NAME     = xstrp4
REQUIRES =

all: $(ARCHIVE)

$(ARCHIVE): $(OBJECTS)
	$(OCAMLC) -a -o $(ARCHIVE) $(OBJECTS)


sample: sample.ml 
	ocamlfind ocamlc \
	  -package xstrp4 -syntax camlp4o \
	  sample.ml \
	  -o sample

view.sample: all
	camlp4 $(ROPTIONS) pa_o.cmo ./xstrp4.cma pr_o.cmo sample.ml

#----------------------------------------------------------------------
# general rules:

OPTIONS   =
OCAMLC    = $(OCAMLFIND) ocamlc $(OPTIONS) $(CAMLP4_OPTS)
OCAMLDEP  = ocamldep $(OPTIONS)
OCAMLFIND = ocamlfind

#depend: *.ml *.mli
#	$(OCAMLDEP) *.ml *.mli >depend

*.mli:

.PHONY: install
install: all
	$(OCAMLFIND) install $(NAME) *.cmi *.cma META

.PHONY: uninstall
uninstall:
	$(OCAMLFIND) remove $(NAME)

.PHONY: clean
clean:
	rm -f *.cmi *.cmo *.cma *.cmx *.o *.a *.cmxa sample
	rm -f xstrp4_here.ml

.PHONY: distclean
distclean: clean
	rm -f *~ depend depend.pkg

RELEASE: META
	awk '/version/ { print substr($$3,2,length($$3)-2) }' META >RELEASE

.SUFFIXES: .cmo .cmi .cmx .ml .mli .mll

.ml.cmx:
	$(OCAMLOPT) -c $<

.ml.cmo:
	$(OCAMLC) -c $<

.mli.cmi:
	$(OCAMLC) -c $<

.mll.ml:
	ocamllex $<

xstrp4_here_lexer.cmo: xstrp4_here_types.cmo xstrp4_here_types.cmi
xstrp4_here_lexer.cmi: xstrp4_here_types.cmi
xstrp4_here.cmo: xstrp4_here_lexer.cmo xstrp4_here_lexer.cmi
xstrp4_here.cmi: xstrp4_here_lexer.cmi

=== debian/changelog ===
xstrp4 (1.8-4build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:18:42 +0000

xstrp4 (1.8-4) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.01.0

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Dec 2013 08:30:23 +0100

xstrp4 (1.8-3) unstable; urgency=low

  * Team upload
  * Recompile with OCaml 3.12.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 07:24:12 +0100

xstrp4 (1.8-2) unstable; urgency=low

  * Team upload
  * Do not create empty /usr/bin
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 23:03:48 +0200

xstrp4 (1.8-1) unstable; urgency=low

  * Initial release. (Closes: #605575)

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 01 Dec 2010 14:15:44 +0000

=== debian/control ===
Source: xstrp4
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  camlp4
Standards-Version: 3.9.1
Homepage: http://projects.camlcity.org/projects/xstrp4.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/xstrp4.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/xstrp4.git

Package: libxstrp4-camlp4-dev
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: camlp4 extension that expands brace expansions in OCaml string
 This camlp4 syntax extension interprets the dollar notation ${name} in
 strings and in included files.
 .
 It can:
  * include whole file in your OCaml code
  * define a format '%x' conversion to display variables
  * interpolate '$x' as well as '${x}
  * take into account record field and module names

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/libxstrp4-camlp4-dev

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
http://download.camlcity.org/download/xstrp4-(\d+.*)\.tar\.gz

## xstrp4 1.8.1

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,8 @@
 
 .PHONY: install
 install: all
-	$(OCAMLFIND) install $(NAME) *.cmi *.cma META
+	$(OCAMLFIND) install $(NAME) *.cmi *.cma META \
+		-patch-version `./configure -version`
 
 .PHONY: uninstall
 uninstall:

=== debian/changelog ===
xstrp4 (1.8.1-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 15:22:04 -0600

xstrp4 (1.8.1-3) unstable; urgency=medium

  * Team upload.
  * Fix package dependencies by not using dh-ocaml.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 22:23:53 +0200

xstrp4 (1.8.1-2) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 17 Oct 2015 10:46:36 +0200

xstrp4 (1.8.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.6
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 May 2015 20:10:57 -0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
+  debhelper (>= 9),
   camlp4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.6
 Homepage: http://projects.camlcity.org/projects/xstrp4.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/xstrp4.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/xstrp4.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/xstrp4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/xstrp4.git
 
 Package: libxstrp4-camlp4-dev
 Architecture: all
-Depends: ${ocaml:Depends}, ${misc:Depends}
-Provides: ${ocaml:Provides}
+Depends: libcamlp4-ocaml-dev, ocaml-nox-${F:OCamlABI}, ${misc:Depends}
 Recommends: ocaml-findlib
 Description: camlp4 extension that expands brace expansions in OCaml string
  This camlp4 syntax extension interprets the dollar notation ${name} in

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export OCAMLFIND_LDCONF
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
@@ -41,3 +41,7 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+.PHONY: override_dh_gencontrol
+override_dh_gencontrol:
+	dh_gencontrol -- -VF:OCamlABI="$(OCAML_ABI)"

## xstrp4 1.8.2

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 OBJECTS  = xstrp4_here_types.cmo xstrp4_here_lexer.cmo xstrp4_here.cmo
 ARCHIVE  = xstrp4.cma
 NAME     = xstrp4
-REQUIRES =
+REQUIRES = bytes
 
 all: $(ARCHIVE)
 
@@ -25,7 +25,7 @@
 
 sample: sample.ml 
 	ocamlfind ocamlc \
-	  -package xstrp4 -syntax camlp4o \
+	  -package xstrp4 -syntax camlp4o -linkpkg \
 	  sample.ml \
 	  -o sample
 
@@ -36,7 +36,8 @@
 # general rules:
 
 OPTIONS   =
-OCAMLC    = $(OCAMLFIND) ocamlc $(OPTIONS) $(CAMLP4_OPTS)
+OCAMLC    = $(OCAMLFIND) ocamlc -g $(STRING_OPTS) $(OPTIONS) $(CAMLP4_OPTS) -package "$(REQUIRES)"
+OCAMLOPT  = $(OCAMLFIND) ocamlopt -g $(STRING_OPTS) $(OPTIONS) $(CAMLP4_OPTS) -package "$(REQUIRES)"
 OCAMLDEP  = ocamldep $(OPTIONS)
 OCAMLFIND = ocamlfind
 
@@ -57,7 +58,6 @@
 .PHONY: clean
 clean:
 	rm -f *.cmi *.cmo *.cma *.cmx *.o *.a *.cmxa sample
-	rm -f xstrp4_here.ml
 
 .PHONY: distclean
 distclean: clean

=== debian/changelog ===
xstrp4 (1.8.2-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml-$ABI instead of ocaml-nox-$ABI

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Jan 2022 16:19:53 +0100

xstrp4 (1.8.2-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 16:35:31 +0100

xstrp4 (1.8.2-3) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 13:45:59 +0200

xstrp4 (1.8.2-2) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2019 16:43:26 +0100

xstrp4 (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.1.4, no changes required
  * Update Vcs-* fields to target Salsa, instead of Alioth
  * Use upstream provided build system

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 10:02:44 +0200

xstrp4 (1.8.1-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 09:44:09 +0200

=== debian/control ===
Source: xstrp4
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml,
  ocaml-findlib,
  dh-ocaml,
  debhelper-compat (= 13),
  camlp4
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://projects.camlcity.org/projects/xstrp4.html
Vcs-Git: https://salsa.debian.org/ocaml-team/xstrp4.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/xstrp4

Package: libxstrp4-camlp4-dev
Architecture: all
Depends: libcamlp4-ocaml-dev, ocaml-${F:OCamlABI}, ${misc:Depends}
Recommends: ocaml-findlib
Description: camlp4 extension that expands brace expansions in OCaml string
 This camlp4 syntax extension interprets the dollar notation ${name} in
 strings and in included files.
 .
 It can:
  * include whole file in your OCaml code
  * define a format '%x' conversion to display variables
  * interpolate '$x' as well as '${x}
  * take into account record field and module names

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/libxstrp4-camlp4-dev

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml --no-parallel

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure

#.PHONY: override_dh_auto_build
#override_dh_auto_build:

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(MAKE) install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean distclean

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:OCamlABI="$(OCAML_ABI)"
